List Providers
curl --request GET \
--url https://api.example.com/v2/integrations/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/integrations/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/integrations/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "acumatica",
"categories": [
"accounting"
],
"display_name": "<string>",
"is_api_connection": true,
"is_webhooks_supported": true,
"auth_type": "api_key",
"cash_app_features": {
"can_unpost_payment": false,
"can_post_on_account_payment": false
},
"color": "<string>",
"connection_guide_url": "<string>",
"connection_instructions": [
"<string>"
],
"documentation_url": "<string>",
"description": "<string>",
"is_enabled": true,
"is_manual_sync_supported": true,
"logo": "<string>",
"logo_square": "<string>",
"required_settings": [
"<string>"
],
"short_description": "<string>",
"website": "<string>"
}
]integrations
List Providers
Retrieve a list of integration providers. LD-gated integrations are excluded for tenants that haven’t been targeted.
GET
/
v2
/
integrations
/
providers
List Providers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Unique name for the integration provider. Note: must contain only alphanumeric characters and dashes(-)
Available options:
acumatica, bill, billingplatform, boomi, chargebee, citi, jpmc, kyriba, maxio-legacy, ms-dynamics-bc, ms-dynamics-fo, netsuite, odoo, oracle-fusion, quickbooks, quickbooks-desktop, sage-intacct, salesforce-accountingseed, sample-data-generator, servicenow, servicetitan, stripe, workday, zendesk, zuora Available options:
accounting, banking, communication, crm, file-storage Whether connection to this integration provider is done through an API.
Whether or not the integration is enabled
Available options:
api_key, basic, custom, oauth1, oauth2, oauth2_cc Show child attributes
Show child attributes
Provider documentation.
Whether this integration supports manually triggering sync.
URL to the provider's logo.
URL to the provider's square logo.
